<vn>
<vn-group>
	<db-model id="debt-model" result-index="1">
		<custom>
			CALL customer_get_debt_by_company ();
			SELECT -amount amount FROM t_customer_debt;
			DROP TEMPORARY TABLE t_customer_debt;
		</custom>
	</db-model>
</vn-group>
<div id="title">
	<h1><t>LastOrders</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="basket"
		tip="_ShoppingBasket"
		show-text="false"
		on-click="onBasketClick"/>
	<htk-bar-button
		id="pay-button"
		icon="pay"
		tip="_MakePayment"
		show-text="false"
		on-click="onPayButtonClick"/>
	<div class="balance">
		<span class="label">
			<t>Balance:</t>
		</span> 
		<span class="amount" id="balance">
			<htk-text
				format="%.2d€"
				conditional-func="balanceConditionalFunc">
				<db-calc-sum
					property="param"
					model="debt-model"
					column-name="amount"
					id="debt"/>
			</htk-text>
		</span> 
		<img
			src="image/icon/dark/info.svg"
			title="_PaymentInfo"
			class="info"
			alt="Info"/>
	</div>
</div>
<div id="form" class="orders">
	<div class="box confirmed">
		<htk-repeater form-id="iter" renderer="repeaterFunc">
			<db-model property="model" id="tickets">
				<custom>
					CALL ticket_list ();
				</custom>
			</db-model>
			<custom>
				<a id="link" class="item" title="_SeeOrder">
					<p class="important total">
						<htk-text form="iter" column="total" format="%.2d€"/>
					</p>
					<p class="important">
						<htk-text form="iter" column="date" format="%D"/>
					</p>
					<p>
						<htk-text form="iter" column="consignee"/>
					</p>
					<p>
						<htk-text form="iter" column="type"/>
					</p>
					<div class="clear"/>
				</a>
			</custom>
		</htk-repeater>
	</div>
</div>
<htk-dialog
	id="error-dialog"
	icon="error"
	message="_An error has been in the payment"
	buttons="ACCEPT_RETRY"
	on-response="onDialogResponse"/>
</vn>
